Bug 16584 - Spec Algorithm Error: DistributeSpaceToTracks should only use TracksForGrowth instead of all GridTracks
Summary: Spec Algorithm Error: DistributeSpaceToTracks should only use TracksForGrowth...
Status: RESOLVED FIXED
Alias: None
Product: CSS
Classification: Unclassified
Component: Grid Layout (show other bugs)
Version: unspecified
Hardware: All All
: P2 normal
Target Milestone: ---
Assignee: Phil Cupp
QA Contact: public-css-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 18:43 UTC by cjon
Modified: 2012-04-26 20:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cjon 2012-03-30 18:43:42 UTC
In DistributeSpaceToTracks function (section 10.2), step 4, we have a loop that runs over all GridTracks. instead it should run only on TracksForGrowth.

Currently it results into inadvertent side effect that results into alternate span growth behavior.
Comment 1 cjon 2012-03-30 19:35:27 UTC
Assigning all Grid bugs to Phil Cupp.
Comment 2 cjon 2012-04-26 20:35:37 UTC
Fixed in Section 10.2 of the April 20, 2012 Editor's Draft: http://dev.w3.org/csswg/css3-grid-layout/